Robotsystem from Robot Group Leipzig: ColorUniformNoise Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# ColorUniformNoise Class Reference

`#include <noisegenerator.h>`

Inheritance diagram for ColorUniformNoise:

[legend]
Collaboration diagram for ColorUniformNoise:

[legend]
List of all members.

## Detailed Description

generated colored noise. This is obtained by using time average of uniform distributed noise.

Examples:

  main.cpp.

Definition at line 130 of file noisegenerator.h.

## Public Member Functions
| ColorUniformNoise (double tau=0.3)
virtual | ~ColorUniformNoise ()
virtual void | init (unsigned int dimension)
| initialization with the the given dimension for multidimensional noise
virtual double | generate (double min, double max)
| generate somehow distributed random number between parameterized with p1 and p2 valid only for ONE random number, use add(.
virtual void | add (double *value, double min, double max)
| adds multidimensional noise to the value field.
## Protected Attributes
double | tau
double * | mean
double | mean1channel
double | factor

## Constructor & Destructor Documentation

ColorUniformNoise | ( | double | tau = `0.3` | ) | `[inline]`

  | Parameters:
  | tau | time averaging factor (1/window) (1: smoothing (white) 0.1: strong color, 0 no noise anymore
Definition at line 135 of file noisegenerator.h.

virtual ~ColorUniformNoise | ( |  | ) | `[inline, virtual]`

| Definition at line 144 of file noisegenerator.h.

## Member Function Documentation

virtual void add | ( | double * | value,
|  | double | min,
|  | double | max
| ) | `[inline, virtual]`

  | adds multidimensional noise to the value field. Generic implementation calls generate for each channel. Overload this if you need different behavior. Parameters:
  | value | field where noise is added. Must have length dimension (see init())
  | p1 | first parameter for random number distribution
  | p2 | second parameter for random number distribution
Reimplemented from NoiseGenerator. Definition at line 158 of file noisegenerator.h.

virtual double generate | ( | double | min,
|  | double | max
| ) | `[inline, virtual]`

| generate somehow distributed random number between parameterized with p1 and p2 valid only for ONE random number, use add(. ..) for adding this kind of noise to several channels Implements NoiseGenerator. Definition at line 153 of file noisegenerator.h.

virtual void init | ( | unsigned int | dimension | ) | `[inline, virtual]`

| initialization with the the given dimension for multidimensional noise See also: add() Reimplemented from NoiseGenerator. Definition at line 145 of file noisegenerator.h.

## Member Data Documentation

double factor`[protected]`

| Definition at line 169 of file noisegenerator.h.

double* mean`[protected]`

| Definition at line 167 of file noisegenerator.h.

double mean1channel`[protected]`

| Definition at line 168 of file noisegenerator.h.

double tau`[protected]`

| Definition at line 166 of file noisegenerator.h.